Package org.apache.ignite.internal.management.kill

## Class ContinuousQueryCancelTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,​R,​R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<KillContinuousCommandArg,​Void>
    - - org.apache.ignite.internal.management.kill.ContinuousQueryCancelTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<KillContinuousCommandArg>,​VisorTaskResult<Void>>`

    @GridInternal
    public class ContinuousQueryCancelTask
    extends VisorOneNodeTask<KillContinuousCommandArg,​Void>

Task to cancel continuous query.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`ContinuousQueryCancelTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.management.kill.ContinuousQueryCancelTask.ContinuousQueryCancelJob` `job​(KillContinuousCommandArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContinuousQueryCancelTask

    public ContinuousQueryCancelTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.management.kill.ContinuousQueryCancelTask.ContinuousQueryCancelJob job​(KillContinuousCommandArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<KillContinuousCommandArg,​Void,​Void>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.